public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
* [git.ipfire.org] IPFire 2.x development tree branch, next, updated. a23189d202df8c3b80e0594b0e4a1710f9831252
@ 2025-01-23  9:09 Arne Fitzenreiter
  0 siblings, 0 replies; only message in thread
From: Arne Fitzenreiter @ 2025-01-23  9:09 UTC (permalink / raw)
  To: ipfire-scm

[-- Attachment #1: Type: text/plain, Size: 2274 bytes --]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".

The branch, next has been updated
       via  a23189d202df8c3b80e0594b0e4a1710f9831252 (commit)
      from  3e85c21e8a122c041245ac06f6d2e65b955e522d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a23189d202df8c3b80e0594b0e4a1710f9831252
Author: Arne Fitzenreiter <arne_f(a)ipfire.org>
Date:   Thu Jan 23 08:37:34 2025 +0100

    rootfile consistency check: check also commented lines
    
    report also commented files to build rootfiles matching for all arches.
    
    Signed-off-by: Arne Fitzenreiter <arne_f(a)ipfire.org>

-----------------------------------------------------------------------

Summary of changes:
 make.sh | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

Difference in files:
diff --git a/make.sh b/make.sh
index 03e19fad6..b40530c5c 100755
--- a/make.sh
+++ b/make.sh
@@ -2183,7 +2183,15 @@ check_rootfiles_for_arch() {
 	# A list of files that are not scanned
 	# because they probably cause some false positives.
 	local excluded_files=(
+		abseil-cpp
+		cmake
+		gdb
+		liburcu
 		qemu
+		rust-memchr
+		rust-libc
+		rust-ppv-lite86
+		xfsprogs
 	)
 
 	# Exclude any architecture-specific directories
@@ -2198,9 +2206,9 @@ check_rootfiles_for_arch() {
 		args+=( "--exclude" "${x}" )
 	done
 
-	# Search for all files that contain the architecture, but exclude commented lines
+	# Search for all files that contain the architecture
 	local files=(
-		$(grep --files-with-matches -r "^[^#].*${arch}" "${args[@]}")
+		$(grep --files-with-matches -r "^.*${arch}" "${args[@]}")
 	)
 
 	local file
@@ -2518,6 +2526,11 @@ shell)
 	entershell
 	;;
 check)
+	# Check for rootfile consistency
+	if ! check_rootfiles; then
+		exiterror "Rootfiles are inconsistent"
+	fi
+
 	check_changed_rootfiles
 	;;
 clean)


hooks/post-receive
--
IPFire 2.x development tree

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2025-01-23  9:09 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2025-01-23  9:09 [git.ipfire.org] IPFire 2.x development tree branch, next, updated. a23189d202df8c3b80e0594b0e4a1710f9831252 Arne Fitzenreiter

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox